NDBD_REDO_LOG_REA(1)

NAME
ndbd_redo_log_reader - check and print content of cluster redo log

SYNOPSIS

ndbd_redo_log_reader file_name [options]

DESCRIPTION

Reads a redo log file, checking it for errors, printing its contents in a human-readable format, or both. ndbd_redo_log_reader is intended for use primarily by MySQL Cluster developers and Support personnel in debugging and diagnosing problems.

This utility was made available as part of default builds beginning with MySQL Cluster NDB 6.1.3. It remains under development, and its syntax and behavior are subject to change in future releases. For this reason, it should be considered experimental at this time.

The C++ source files for ndbd_redo_log_reader can be found in the directory /storage/ndb/src/kernel/blocks/dblqh/redoLogReader.

The following table includes options that are specific to the MySQL Cluster program ndbd_redo_log_reader. Additional descriptions follow the table. For options common to most MySQL Cluster programs (including ndbd_redo_log_reader), see Options Common to MySQL Cluster Programs(1).

Table 17.22. ndbd_redo_log_reader Options and Variables: MySQL 5.1, MySQL Cluster NDB 6.3-7.1
Format | Description | Added / Removed
-noprint | Do not print records | All MySQL 5.1 based releases
-nocheck | Do not check records for errors | All MySQL 5.1 based releases
--help | Print usage information | ADDED: NDB 6.3.53, 5.1.72-ndb-7.0.41, 5.1.72-ndb-7.1.30

        Usage

    ndbd_redo_log_reader file_name [options]

file_name is the name of a cluster redo log file. redo log files are located in the numbered directories under the data node's data directory (DataDir); the path under this directory to the redo log files matches the pattern ndb_#_fs/D#/LCP/#/T#F#.Data. In each case, the # represents a number (not necessarily the same number). For more information, see MySQL Cluster Data Node FileSystemDir Files[1].

The name of the file to be read may be followed by one or more of the options listed here:

    •
    Command-Line Format | -noprint
     | Permitted Values
     | Type | boolean
     | Default | FALSE

    -noprint: Do not print the contents of the log file.

    •
    Command-Line Format | -nocheck
     | Permitted Values
     | Type | boolean
     | Default | FALSE

    -nocheck: Do not check the log file for errors.

    •
    Introduced | 5.1.72-ndb-6.3.53, 5.1.72-ndb-7.0.41, 5.1.72-ndb-7.1.30
    Command-Line Format | --help

    --help: Print usage information.

    Added in MySQL Cluster NDB 6.3.53, MySQL Cluster NDB 7.0.41, and MySQL Cluster NDB 7.1.30. (Bug #11749591, Bug #36805)

Like ndb_print_backup_file and ndb_print_schema_file (and unlike most of the NDB utilities that are intended to be run on a management server host or to connect to a management server) ndbd_redo_log_reader must be run on a cluster data node, since it accesses the data node file system directly. Because it does not make use of the management server, this utility can be used when the management server is not running, and even when the cluster has been completely shut down.

COPYRIGHT

Copyright © 1997, 2013, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

NOTES

1.  MySQL Cluster Data Node FileSystemDir Files
    http://dev.mysql.com/doc/ndbapi/en/ndb-internals-ndbd-filesystemdir-files.html

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).